{
    "namespace": "rc_quarry",
    "root": {
        "type": "panel",
        "controls": [
            {
                "container_gamepad_helpers@common.container_gamepad_helpers": {}
            },
            {
                "flying_item_renderer@common.flying_item_renderer": {
                    "layer": 14
                }
            },
            {
                "selected_item_details_factory@common.selected_item_details_factory": {}
            },
            {
                "item_lock_notification_factory@common.item_lock_notification_factory": {}
            },
            {
                "root_panel@common.root_panel": {
                    "layer": 1,
                    "size": [
                        180,
                        100
                    ],
                    "offset": [
                        0,
                        40
                    ],
                    "controls": [
                        {
                            "common_panel@common.common_panel": {}
                        },
                        {
                            "small_chest_panel_top_half@rc_quarry.top_half": {}
                        },
                        {
                            "chest_panel": {
                                "type": "panel",
                                "layer": 5,
                                "controls": [
                                    {
                                        "inventory_panel_bottom_half_with_label@common.inventory_panel_bottom_half_with_label": {}
                                    },
                                    {
                                        "hotbar_grid@common.hotbar_grid_template": {}
                                    },
                                    {
                                        "inventory_take_progress_icon_button@common.inventory_take_progress_icon_button": {}
                                    }
                                ]
                            }
                        },
                        {
                            "inventory_selected_icon_button@common.inventory_selected_icon_button": {}
                        },
                        {
                            "gamepad_cursor@common.gamepad_cursor_button": {}
                        }
                    ]
                }
            }
        ]
    },
    "super_upgrade_cell_image": {
        "type": "image",
        "texture": "textures/quarry/ui/super_upgrade_item_cell",
        "layer": 1
    },
    "super_upgrade_cell_image_panel": {
        "type": "panel",
        "controls": [
            {
                "super_upgrade_cell_image@rc_quarry.super_upgrade_cell_image": {
                    "$cell_selected_binding_name|default": "#is_selected_slot",
                    "visible": true,
                    "bindings": [
                        {
                            "binding_name": "(not $cell_selected_binding_name)",
                            "binding_name_override": "#visible",
                            "binding_type": "collection",
                            "binding_collection_name": "$item_collection_name"
                        }
                    ]
                }
            },
            {
                "cell_image_selected@common.cell_image_selected": {
                    "$cell_selected_binding_name|default": "#is_selected_slot",
                    "visible": false,
                    "bindings": [
                        {
                            "binding_name": "$cell_selected_binding_name",
                            "binding_name_override": "#visible",
                            "binding_type": "collection",
                            "binding_collection_name": "$item_collection_name"
                        }
                    ]
                }
            }
        ]
    },
    "upgrade_cell_image": {
        "type": "image",
        "texture": "textures/quarry/ui/upgrade_item_cell",
        "layer": 1
    },
    "upgrade_cell_image_panel": {
        "type": "panel",
        "controls": [
            {
                "upgrade_cell_image@rc_quarry.upgrade_cell_image": {
                    "$cell_selected_binding_name|default": "#is_selected_slot",
                    "visible": true,
                    "bindings": [
                        {
                            "binding_name": "(not $cell_selected_binding_name)",
                            "binding_name_override": "#visible",
                            "binding_type": "collection",
                            "binding_collection_name": "$item_collection_name"
                        }
                    ]
                }
            },
            {
                "cell_image_selected@common.cell_image_selected": {
                    "$cell_selected_binding_name|default": "#is_selected_slot",
                    "visible": false,
                    "bindings": [
                        {
                            "binding_name": "$cell_selected_binding_name",
                            "binding_name_override": "#visible",
                            "binding_type": "collection",
                            "binding_collection_name": "$item_collection_name"
                        }
                    ]
                }
            }
        ]
    },
    "top_half": {
        "type": "panel",
        "size": [
            "100%",
            "100%"
        ],
        "offset": [
            0,
            7
        ],
        "anchor_to": "top_left",
        "anchor_from": "top_left",
        "controls": [
            {
                "title@fluffyalien_energisticscore:common.container_title": {
                    "text": "title.quarry_machine",
                    "text_alignment": "left",
                    "color": [
                        0.6118,
                        0.8980,
                        0.0
                    ],
                    "offset": [
                        38,
                        -85
                    ],
                    "layer": 4
                }
            },
            {
                "quarry_bg": {
                    "type": "image",
                    "texture": "textures/quarry/ui/quarry_bg.png",
                    "size": [
                        180,
                        86
                    ],
                    "offset": [
                        0,
                        -103
                    ],
                    "layer": 1
                }
            },
            {
                "energy_bar": {
                    "type": "panel",
                    "offset": [
                        6,
                        -91
                    ],
                    "controls": [
                        {
                            "energy_bar_bg": {
                                "type": "image",
                                "texture": "textures/quarry/ui/energy_bar_bg.png",
                                "anchor_to": "top_left",
                                "anchor_from": "top_left",
                                "size": [
                                    22,
                                    76
                                ],
                                "layer": 1
                            }
                        },
                        {
                            "energy_bar_overlay": {
                                "type": "image",
                                "texture": "textures/quarry/ui/energy_bar_overlay.png",
                                "anchor_to": "top_left",
                                "anchor_from": "top_left",
                                "size": [
                                    16,
                                    70
                                ],
                                "offset": [
                                    3,
                                    3
                                ],
                                "layer": 15
                            }
                        },
                        {
                            "energy_bar@fluffyalien_energisticscore:common.machine_storage_bar": {
                                "offset": [
                                    3,
                                    5
                                ]
                            }
                        }
                    ]
                }
            },
            {
                "on_button@fluffyalien_energisticscore:common.container_item_slot_nobg": {
                    "$index": 4,
                    "offset": [
                        73,
                        -53
                    ]
                }
            },
            {
                "off_button@fluffyalien_energisticscore:common.container_item_slot_nobg": {
                    "$index": 5,
                    "offset": [
                        91,
                        -53
                    ]
                }
            },
            {
                "assemble_button@fluffyalien_energisticscore:common.container_item_slot_nobg": {
                    "$index": 6,
                    "offset": [
                        73,
                        -35
                    ]
                }
            },
            {
                "disassemble_button@fluffyalien_energisticscore:common.container_item_slot_nobg": {
                    "$index": 7,
                    "offset": [
                        91,
                        -35
                    ]
                }
            },
            {
                "upgrade_slot_0@fluffyalien_energisticscore:common.container_item_slot": {
                    "$background_images": "rc_quarry.super_upgrade_cell_image_panel",
                    "$index": 8,
                    "offset": [
                        156,
                        -71
                    ]
                }
            },
            {
                "upgrade_slot_1@fluffyalien_energisticscore:common.container_item_slot": {
                    "$background_images": "rc_quarry.upgrade_cell_image_panel",
                    "$index": 9,
                    "offset": [
                        156,
                        -53
                    ]
                }
            },
            {
                "upgrade_slot_1@fluffyalien_energisticscore:common.container_item_slot": {
                    "$background_images": "rc_quarry.upgrade_cell_image_panel",
                    "$index": 10,
                    "offset": [
                        156,
                        -35
                    ]
                }
            }
        ]
    }
}